List of Open Source Software which can be built on Fugaku

Spack logo
Spack will be used to manage open source software packages on Fugaku. Fugaku users can easily use pre-installed packages and built packages based on Spack recipes. The following list shows the results of building/compiling packages for aarch64 according to the Spack recipes. Note that the results in this list do not guarantee that each package will work properly. On the other hand, Fujitsu will provide the following packages compiled with Fujitsu compiler on Fugaku as "external" packages, of which Spack can be aware.
  • OpenJDK 11
  • Ruby 2.6.5 or later
  • Python2 2.7.15
  • Python3 3.6.8
  • Numpy 1.14.3
  • SciPy 1.0.0
  • Eclipse IDE 2019-09 R Packages
Please contact us from email:

Build success rate per compiler


Last Modified: 4/8/24, 2:58 AM GMT
Spack Version: 1/18/24, 1:14 AM GMT
Click each result for further infomation.
Package Version Fujitsu Compiler GCC
fxdiv 2020-04-17 YES
fxt 0.3.14 YES
fyba 4.1.1 YES
fzf 0.42.0 YES
g2 3.4.8 Dependency Error
g2c 1.7.0 YES
g2o 20200410_git Dependency Error
g2tmpl 1.10.2 YES
g4abla 3.1 YES
g4emlow 8.2 YES
g4ensdfstate 2.3 YES
g4incl 1.0 YES
g4ndl 4.7 YES
g4neutronxs 1.4 YES
g4particlexs 4.0 YES
g4photonevaporation 5.7 YES
g4pii 1.3 YES
g4radioactivedecay 5.6 YES
g4realsurface 2.2 YES
g4saiddata 2.0 YES
g4tendl 1.4 YES
gadap 2.0 Dependency Error
gamess-ri-mp2-miniapp 1.5 Dependency Error
gams 27.2 Dependency Error
gapbs 1.4 YES
gapcloser 1.12-r6 YES
gapfiller 1.10 Dependency Error
garfieldpp 4.0
gasnet 2023.3.0 YES
gatb-core 1.4.2 YES
gate 9.1
gatepet2stir 1.3.2
gatetools 0.11.2 Dependency Error
gatk 4.4.0.0 YES
gaudi 37.1
gaussian 16-B.01 Dependency Error
gaussian-src 16-C.01 Dependency Error
gaussian-view 6.1.6 Dependency Error
gawk 5.2.2 YES
gbl V02-04-01 Dependency Error
gblocks 0.91b YES
gcc 13.2.0 Dependency Error
gccmakedep 1.0.3 YES
gccxml latest Dependency Error
gchp 13.4.0 Dependency Error
gconf 3.2.6 Dependency Error
gcta 1.94.0beta Dependency Error
gdal 3.7.3 YES
gdb 13.1 Dependency Error
gdbm 1.23 Dependency Error
gdk-pixbuf 2.42.10 Dependency Error
gdl 0.9.9 Dependency Error
gdrcopy 2.3 Skipped
geant3 4-1 Dependency Error
geant4 11.1.2 YES
geant4-data 11.1.0 YES
geant4-vmc 6-1-p1 Dependency Error
gearshifft 0.4.0 Dependency Error
gegelati 1.2.0 YES
gegl 0.4.44 Dependency Error
gemma 0.98.5 Dependency Error
gemmlowp a6f29d9ac YES
genemark-et 4.69 Dependency Error
generax 2.0.4 Dependency Error
genesis 1.6.0 Dependency Error
genfit 02-00-01 Dependency Error
gengeo 163 Dependency Error
gengetopt 2.23 YES
genie 3.0.6 Dependency Error
genomefinisher 1.4 YES
genometools 1.6.2 Dependency Error
genomeworks 0.5.3 Skipped
genrich 0.6.1 YES
geode 1.9.2 YES
geoip 1.6.12 YES
geoip-api-c 1.6.12 YES
geopm 1.1.0 Dependency Error
geos 3.12.0 YES
getorganelle 1.7.7.0 Dependency Error
gettext 0.22.3 Dependency Error
gexiv2 0.12.3 Dependency Error
gffcompare 0.12.6 YES
gffread 0.12.7 YES
gflags 2.2.2 YES
gfsio 1.4.1 YES
gftl 1.10.0 YES
gftl-shared 1.6.1 Dependency Error
gh 2.32.1 YES
ghost develop Dependency Error
ghostscript 10.0.0 Dependency Error
ghostscript-fonts 8.11 YES
giblib 1.2.4 Dependency Error
giflib 5.2.1 YES
gimp 2.10.32 Dependency Error
ginac 1.7.11 Dependency Error
ginkgo 1.6.0 YES
giraph 1.2.0 YES
git 2.42.0 YES
git-annex 10.20230408 Dependency Error
git-fat-git 2018-08-21 YES
git-filter-repo 2.38.0 YES
git-imerge 1.1.0 YES
git-lfs 3.3.0 YES
gitconddb 0.2.0 YES
gl2ps 1.4.2 Dependency Error
glab 1.33.0 YES
glew 2.2.0 Dependency Error
glfmultiples 2010-06-16 YES
glfw 3.3.8 YES
glib 2.78.0 Dependency Error
glib-networking 2.66.0 Dependency Error
glibc 2.38 Dependency Error
glibmm 2.19.3 Dependency Error
glimmer 3.02b YES
glm 0.9.9.8 YES
global 6.6.7 YES
globalarrays 5.8.2 Dependency Error
glog 0.6.0 YES
gloo 2023-05-19 YES
glpk 5.0 YES
glproto 1.4.17 YES
gluegen java-11-fixes Dependency Error
glusterfs 7.3 Dependency Error
glvis 4.2 Dependency Error
glx 1.4 YES
gmake 4.4.1 Dependency Error
gmap-gsnap 2023-07-20 Skipped
gmic 3.1.6 Dependency Error
gmime 2.6.23 Dependency Error
gmodel 2.1.0 YES
gmp 6.2.1 Dependency Error
gmsh 4.10.3 Dependency Error
gmt 6.4.0 Dependency Error
gmtsar 5.6 Dependency Error
gnat 2016 Dependency Error
gnds 0.0.1 YES
gnina 1.0.3 Dependency Error
gnome-common 3.18.0 YES
gnuconfig 2022-09-17 YES
gnupg 2.4.3 Dependency Error
gnuplot 5.4.3 Dependency Error
gnuradio 3.8.2.0 Dependency Error
gnutls 3.7.8 Dependency Error
go 1.21.3 YES
go-bootstrap 1.17.13 YES
go-md2man 2.0.2 YES
gobject-introspection 1.76.1 Dependency Error
goblin-hmc-sim 8.0.0 YES
goma 7.4.3 Dependency Error
google-cloud-cli 426.0.0 Dependency Error
google-crc32c 1.1.2 YES
googletest 1.12.1 YES
gosam-contrib 2.0 Dependency Error
goshimmer 0.8.0 YES
gotcha 1.0.4 YES
gource 0.44 Dependency Error
gpcnet master YES
gperf 3.1 YES
gperftools 2.13 YES
gpgme 1.20.0 Dependency Error
gpi-2 1.5.1 Skipped
gpi-space 23.06 Dependency Error
gplates 2.3.0 Dependency Error
gprolog 1.5.0 Skipped
gptl 8.1.1 YES
gptune 4.0.0 Dependency Error
gpu-burn 1.1 Dependency Error
gqrx 2.13.1
gr-osmosdr 0.2.2
grabix 0.1.7 Dependency Error
grace 5.1.25 Dependency Error
grackle 3.1 Dependency Error
gradle 8.1.1 YES
grads 2.2.3
grafana 6.7.3 YES
grandr 0.1 Dependency Error
graph500 3.0.0 Dependency Error
graphblast 2020-05-07 Dependency Error
graphicsmagick 1.3.34
graphite2 1.3.14 YES
graphlib 3.0.0 YES
graphmap 0.3.0 Dependency Error
graphviz 8.0.5 YES
grass 8.2.0 YES
graylog2-server 3.2.4 YES
grep 3.11 YES
grib-api 1.24.0 Dependency Error
grib-util 1.2.4 Dependency Error
grid develop Dependency Error
gridlab-d develop Dependency Error
grnboost 2017-10-9 Dependency Error
groff 1.22.4 YES
gromacs 2023.3 Dependency Error
gromacs-chain-coordinate 2021.5-0.2 Dependency Error
gromacs-swaxs 2021.5-0.4 Dependency Error
grpc 1.55.0 YES
gsettings-desktop-schemas 3.38.0 Dependency Error
gsi-ncdiag 1.1.2 Dependency Error
gsibec 1.1.3 Dependency Error
gsl 2.7.1 YES

Page 6 of 38, showing 200 record(s) out of 7,469 total